<?php require_once('../Connections/EVENTS.php'); ?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "form2")) {
  $updateSQL = sprintf("UPDATE montajes SET datepicker=%s, hora=%s, equipo=%s, num_expediente=%s, nom_cliente=%s, direccion=%s, poblacion=%s, tlf=%s, movil=%s, importe_servicio=%s, observa=%s WHERE id_montaje=%s",
                       GetSQLValueString($_POST['datepicker'], "text"),
                       GetSQLValueString($_POST['hora'], "text"),
                       GetSQLValueString($_POST['equipo'], "text"),
                       GetSQLValueString($_POST['num_expediente'], "text"),
                       GetSQLValueString($_POST['nom_cliente'], "text"),
                       GetSQLValueString($_POST['direccion'], "text"),
                       GetSQLValueString($_POST['poblacion'], "text"),
                       GetSQLValueString($_POST['tlf'], "int"),
					             GetSQLValueString($_POST['movil'], "text"),
                       GetSQLValueString($_POST['importe_servicio'], "int"),
                       GetSQLValueString($_POST['observa'], "text"),
                       GetSQLValueString($_POST['id_montaje'], "int"));

  mysql_select_db($database_EVENTS, $EVENTS);
  $Result1 = mysql_query($updateSQL, $EVENTS) or die(mysql_error());

  $updateGoTo = "edta_montaje_correcto.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $updateGoTo .= (strpos($updateGoTo, '?')) ? "&" : "?";
    $updateGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $updateGoTo));
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "form2")) {
  $updateSQL = sprintf("UPDATE montajes SET datepicker=%s, hora=%s, equipo=%s, num_expediente=%s, nom_cliente=%s, direccion=%s, poblacion=%s, tlf=%s, movil=%s, importe_servicio=%s, observa=%s WHERE id_montaje=%s",
                       GetSQLValueString($_POST['datepicker'], "text"),
                       GetSQLValueString($_POST['hora'], "text"),
                       GetSQLValueString($_POST['equipo'], "text"),
                       GetSQLValueString($_POST['num_expediente'], "text"),
                       GetSQLValueString($_POST['nom_cliente'], "text"),
                       GetSQLValueString($_POST['direccion'], "text"),
                       GetSQLValueString($_POST['poblacion'], "text"),
                       GetSQLValueString($_POST['tlf'], "int"),
					             GetSQLValueString($_POST['movil'], "text"),
                      GetSQLValueString($_POST['importe_servicio'], "int"),
                       GetSQLValueString($_POST['observa'], "text"),
                       GetSQLValueString($_POST['id_montaje'], "int"));

  mysql_select_db($database_EVENTS, $EVENTS);
  $Result1 = mysql_query($updateSQL, $EVENTS) or die(mysql_error());

  $updateGoTo = "edta_montaje_correcto.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $updateGoTo .= (strpos($updateGoTo, '?')) ? "&" : "?";
    $updateGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $updateGoTo));
}

mysql_select_db($database_EVENTS, $EVENTS);
$query_poblaciones = "SELECT * FROM poblaciones ORDER BY nom_poblacion ASC";
$poblaciones = mysql_query($query_poblaciones, $EVENTS) or die(mysql_error());
$row_poblaciones = mysql_fetch_assoc($poblaciones);
$totalRows_poblaciones = mysql_num_rows($poblaciones);

mysql_select_db($database_EVENTS, $EVENTS);
$query_horario = "SELECT * FROM horario ORDER BY horario ASC";
$horario = mysql_query($query_horario, $EVENTS) or die(mysql_error());
$row_horario = mysql_fetch_assoc($horario);
$totalRows_horario = mysql_num_rows($horario);

mysql_select_db($database_EVENTS, $EVENTS);
$query_equipo = "SELECT * FROM equipo ORDER BY equipo ASC";
$equipo = mysql_query($query_equipo, $EVENTS) or die(mysql_error());
$row_equipo = mysql_fetch_assoc($equipo);
$totalRows_equipo = mysql_num_rows($equipo);

$varDato_montajes = "0";
if (isset($_GET["recordID"])) {
  $varDato_montajes = $_GET["recordID"];
}
mysql_select_db($database_EVENTS, $EVENTS);
$query_montajes = sprintf("SELECT * FROM montajes WHERE montajes.id_montaje = %s", GetSQLValueString($varDato_montajes, "int"));
$montajes = mysql_query($query_montajes, $EVENTS) or die(mysql_error());
$row_montajes = mysql_fetch_assoc($montajes);
$totalRows_montajes = mysql_num_rows($montajes);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Documento sin título</title>

 <link rel="stylesheet" type="text/css" href="css/default.css" />
 
	<link rel="stylesheet" type="text/css" href="css/jquery-ui-1.7.2.custom.css" />
    
     <link rel="stylesheet" type="text/css" href="css/miscss.css" />

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/jquery-ui.min.js"></script>

<script type="text/javascript">
jQuery(function($){
	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '&#x3c;Ant',
		nextText: 'Sig&#x3e;',
		currentText: 'Hoy',
		monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
		'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
		'Jul','Ago','Sep','Oct','Nov','Dic'],
		dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
		dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
		weekHeader: 'Sm',
		dateFormat: 'dd/mm/yy',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['es']);
});    

        $(document).ready(function() {
           $("#datepicker").datepicker();
        });
    </script>

</head>

<body>

<div class="cuerpo_inserta">

<div class="anuncia_pagina_inserta">
  <strong> MANCOMERAL</strong>
</div>
    
<div class="anuncia_inserta">
    <form action="index.php" method="get" name="form1" target="_self" id="form1">
        <label for="datepicker">EDITAR  MONTAJE</label></form>
</div>


<div class="boton_atras">
   <input name="button" type="button" class="mkbutton" id="button" onclick="window.location.href = 'index.php';" value="VOLVER AL INICIO" />
</div>


<div class="form_edita_montaje">
  <form action="<?php echo $editFormAction; ?>" method="post" name="form2" id="form2">
    <table align="center">
      <tr valign="baseline">
        <td height="36" align="right" valign="middle" nowrap="nowrap">FECHA</td>
        <td align="left" valign="middle"><input type="text" name="datepicker" id="datepicker" readonly="readonly" value="<?php echo htmlentities($row_montajes['datepicker'], ENT_COMPAT, 'utf-8'); ?>" size="32" /></td>  
      
      </tr>
      <tr valign="baseline">
        <td height="36" align="right" valign="middle" nowrap="nowrap">HORA</td>
        <td align="left" valign="middle"><select name="hora">
          <?php 
do {  
?>
          <option value="<?php echo $row_horario['horario']?>" <?php if (!(strcmp($row_horario['horario'], htmlentities($row_montajes['hora'], ENT_COMPAT, 'utf-8')))) {echo "SELECTED";} ?>><?php echo $row_horario['horario']?></option>
          <?php
} while ($row_horario = mysql_fetch_assoc($horario));
?>
        </select></td>
      </tr>
      <tr> </tr>
      <tr valign="baseline">
        <td height="36" align="right" valign="middle" nowrap="nowrap">EQUIPO</td>
        <td align="left" valign="middle"><select name="equipo">
          <?php 
do {  
?>
          <option value="<?php echo $row_equipo['equipo']?>" <?php if (!(strcmp($row_equipo['equipo'], htmlentities($row_montajes['equipo'], ENT_COMPAT, 'utf-8')))) {echo "SELECTED";} ?>><?php echo $row_equipo['equipo']?></option>
          <?php
} while ($row_equipo = mysql_fetch_assoc($equipo));
?>
        </select></td>
      </tr>
      <tr> </tr>
      <tr valign="baseline">
        <td height="37" align="right" valign="middle" nowrap="nowrap">EXPEDIENTE</td>
        <td align="left" valign="middle"><input type="text" name="num_expediente" value="<?php echo htmlentities($row_montajes['num_expediente'], ENT_COMPAT, 'utf-8'); ?>" size="32" /></td>
      </tr>
      <tr valign="baseline">
        <td height="37" align="right" valign="middle" nowrap="nowrap">IMPORTE DEL SERVICIO</td>
        <td align="left" valign="middle"><input type="text" name="importe_servicio" value="<?php echo htmlentities($row_montajes['num_expediente'], ENT_COMPAT, 'utf-8'); ?>" size="32" /></td>
      </tr>
      <tr valign="baseline">
        <td height="38" align="right" valign="middle" nowrap="nowrap">NOMBRE DEL CLIENTE</td>
        <td align="left" valign="middle"><input type="text" name="nom_cliente" value="<?php echo htmlentities($row_montajes['nom_cliente'], ENT_COMPAT, 'utf-8'); ?>" size="32" /></td>
      </tr>
      <tr valign="baseline">
        <td height="39" align="right" valign="middle" nowrap="nowrap">DIRECCIÓN</td>
        <td align="left" valign="middle"><input type="text" name="direccion" value="<?php echo htmlentities($row_montajes['direccion'], ENT_COMPAT, 'utf-8'); ?>" size="32" /></td>
      </tr>
      <tr valign="baseline">
        <td height="38" align="right" valign="middle" nowrap="nowrap">POBLACIÓN</td>
        <td align="left" valign="middle"><select name="poblacion">
          <?php 
do {  
?>
          <option value="<?php echo $row_poblaciones['nom_poblacion']?>" <?php if (!(strcmp($row_poblaciones['nom_poblacion'], htmlentities($row_montajes['poblacion'], ENT_COMPAT, 'utf-8')))) {echo "SELECTED";} ?>><?php echo $row_poblaciones['nom_poblacion']?></option>
          <?php
} while ($row_poblaciones = mysql_fetch_assoc($poblaciones));
?>
        </select></td>
      </tr>
      <tr> </tr>
      <tr valign="baseline">
        <td height="41" align="right" valign="middle" nowrap="nowrap">TELÉFONO</td>
        <td align="left" valign="middle"><input type="text" name="tlf" value="<?php echo htmlentities($row_montajes['tlf'], ENT_COMPAT, 'utf-8'); ?>" size="32" /></td>
      </tr>
	  <tr valign="baseline">
        <td height="41" align="right" valign="middle" nowrap="nowrap">MOVIL</td>
        <td align="left" valign="middle"><input type="text" name="movil" value="<?php echo htmlentities($row_montajes['movil'], ENT_COMPAT, 'utf-8'); ?>" size="32" /></td>
      </tr>
      <tr valign="baseline">
        <td height="95" align="right" valign="middle" nowrap="nowrap">OBSERVACIONES</td>
        <td align="left" valign="middle"><textarea name="observa" cols="50" rows="5"><?php echo htmlentities($row_montajes['observa'], ENT_COMPAT, 'utf-8'); ?></textarea></td>
      </tr>
      <tr valign="baseline">
        <td height="40" align="right" valign="middle" nowrap="nowrap">&nbsp;</td>
        <td align="left" valign="middle"><input type="submit" value="Actualizar registro" /></td>
      </tr>
    </table>
    <input type="hidden" name="MM_update" value="form2" />
    <input type="hidden" name="id_montaje" value="<?php echo $row_montajes['id_montaje']; ?>" />
  </form>
  <p>&nbsp;</p>
</div>


  





</div> <!--FIN DE DIV CUERPO---> 
</body>
</html>
<?php
mysql_free_result($poblaciones);

mysql_free_result($horario);

mysql_free_result($equipo);

mysql_free_result($montajes);
?>
